diff --git a/tests/test_solis.py b/tests/test_solis.py
index e2d6e1dd..3b8bf6ab 100644
--- a/tests/test_solis.py
+++ b/tests/test_solis.py
@@ -1043,7 +1047,7 @@ def test_solis_rsa_link_infos_unlink(app, solis):
             ):
                 requests_post.reset_mock()
                 requests_get.reset_mock()
-                requests_get.side_effect = [utils.FakedResponse(status_code=200, content=content)]
+                requests_get.side_effect = [tests.utils.FakedResponse(status_code=200, content=content)]
                 endpoint = endpoint_base + '?name_id=%s&user_id=4242&information=allocataires&links' % NAMEID
                 resp = app.get(endpoint, status=200)
                 assert requests_post.call_count == 1  # get a token
@@ -1053,7 +1057,7 @@ def test_solis_rsa_link_infos_unlink(app, solis):
                 assert 'content' not in resp.json['data']['rsa_links']['etatCivil']
 
     # unlink
-    endpoint = utils.generic_endpoint_url('solis', 'rsa-unlink', slug=solis.slug)
+    endpoint = tests.utils.generic_endpoint_url('solis', 'rsa-unlink', slug=solis.slug)
     for bad_params in ({}, {'user_id': '4273'}, {'name_id': NAMEID}):
         resp = app.post_json(endpoint, params=bad_params, status=200)
         assert resp.json['err'] == 1
@@ -1078,7 +1082,7 @@ def test_solis_rsa_link_infos_unlink(app, solis):
     assert SolisRSALink.objects.count() == 1
 
     # can not get informations from unlinked user
-    endpoint = utils.generic_endpoint_url('solis', 'rsa-user-info', slug=solis.slug)
+    endpoint = tests.utils.generic_endpoint_url('solis', 'rsa-user-info', slug=solis.slug)
     endpoint += '?name_id=%s&user_id=4242' % NAMEID
     resp = app.get(endpoint, status=200)
     assert resp.json['err'] == 1
diff --git a/tests/test_solis_afi_mss.py b/tests/test_solis_afi_mss.py
index 311fe2de..ba00bd00 100644
--- a/tests/test_solis_afi_mss.py
+++ b/tests/test_solis_afi_mss.py
@@ -20,16 +20,16 @@ import os
 
 import mock
 import pytest
-import utils
 from django.utils.encoding import force_text
 
+import tests.utils
 from passerelle.contrib.solis_afi_mss.models import SolisAfiMss
 from passerelle.utils.jsonresponse import APIError
 
 
 @pytest.fixture
 def connector(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         SolisAfiMss.objects.create(
             slug='test',
             base_url='https://solis-afi-mss.example.net/',
@@ -54,7 +54,7 @@ def get_media_file(filename):
 
 
 def response(status_code, content):
-    return utils.FakedResponse(content=content, status_code=status_code)
+    return tests.utils.FakedResponse(content=content, status_code=status_code)
 
 
 IS_ALIVE = response(200, json_get_data('isAlive'))
@@ -83,7 +83,7 @@ GET_AIDES_PAR_AGENT_4 = response(200, json_get_data('getAidesParAgent_388405'))
 
 
 def get_endpoint(name):
-    return utils.generic_endpoint_url('solis-afi-mss', name)
+    return tests.utils.generic_endpoint_url('solis-afi-mss', name)
 
 
 @mock.patch('passerelle.utils.Request.get')
diff --git a/tests/test_strasbourg_eu.py b/tests/test_strasbourg_eu.py
index 459b9b99..91e779f4 100644
--- a/tests/test_strasbourg_eu.py
+++ b/tests/test_strasbourg_eu.py
@@ -1,10 +1,10 @@
 # -*- coding: utf-8 -*-
 
 import pytest
-import utils
 from django.contrib.contenttypes.models import ContentType
 from httmock import HTTMock, all_requests
 
+import tests.utils
 from passerelle.base.models import AccessRight, ApiUser
 from passerelle.contrib.strasbourg_eu.models import StrasbourgEu
 
@@ -183,7 +183,7 @@ def test_availability(strasbourg_eu):
 
 
 def test_interests(app, strasbourg_eu):
-    endpoint = utils.generic_endpoint_url('strasbourg-eu', 'interests', slug=strasbourg_eu.slug)
+    endpoint = tests.utils.generic_endpoint_url('strasbourg-eu', 'interests', slug=strasbourg_eu.slug)
     with HTTMock(interests_mock):
         resp = app.get(endpoint)
         assert len(resp.json['data']) == 2
@@ -214,7 +214,7 @@ def test_interests(app, strasbourg_eu):
 
 
 def test_notifications(app, strasbourg_eu, caplog):
-    endpoint = utils.generic_endpoint_url('strasbourg-eu', 'notifications', slug=strasbourg_eu.slug)
+    endpoint = tests.utils.generic_endpoint_url('strasbourg-eu', 'notifications', slug=strasbourg_eu.slug)
 
     with HTTMock(notifications_mock):
         resp = app.get(endpoint, status=400)
@@ -254,7 +254,7 @@ def test_notifications(app, strasbourg_eu, caplog):
 
 
 def test_favorites(app, strasbourg_eu):
-    endpoint = utils.generic_endpoint_url('strasbourg-eu', 'favorites', slug=strasbourg_eu.slug)
+    endpoint = tests.utils.generic_endpoint_url('strasbourg-eu', 'favorites', slug=strasbourg_eu.slug)
     with HTTMock(favorites_mock):
         resp = app.get(endpoint, status=400)
         resp = app.get(endpoint + '?name_id=xxx')
diff --git a/tests/test_tcl.py b/tests/test_tcl.py
index a06c65bf..1b4ba1dc 100644
--- a/tests/test_tcl.py
+++ b/tests/test_tcl.py
@@ -2,9 +2,9 @@ import copy
 
 import mock
 import pytest
-import utils
 from django.utils.six.moves.urllib import parse as urlparse
 
+import tests.utils
 from passerelle.contrib.tcl.models import Line, Stop, Tcl
 
 LIGNE_BUS = {
@@ -114,7 +114,7 @@ PASSAGES = {
 
 @pytest.fixture
 def connector(db):
-    return utils.setup_access_rights(Tcl.objects.create(slug='test'))
+    return tests.utils.setup_access_rights(Tcl.objects.create(slug='test'))
 
 
 def tcl_responses(url, **kwargs):
@@ -125,7 +125,7 @@ def tcl_responses(url, **kwargs):
         '/geojson/tclarret': ARRETS,
         '/tclpassagearret': PASSAGES,
     }.get(urlparse.urlparse(url).path)
-    return utils.FakedResponse(json=lambda: copy.deepcopy(content), status_code=200)
+    return tests.utils.FakedResponse(json=lambda: copy.deepcopy(content), status_code=200)
 
 
 @mock.patch('passerelle.utils.Request.get')
@@ -150,7 +150,7 @@ def test_cron(mocked_get, app, connector):
 def test_stop_info(mocked_get, app, connector):
     mocked_get.side_effect = tcl_responses
     connector.daily()
-    endpoint = utils.generic_endpoint_url('tcl', 'stop', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('tcl', 'stop', slug=connector.slug)
     assert endpoint == '/tcl/test/stop'
     resp = app.get(endpoint + '/46026')
     assert resp.json['data']['nom'] == 'Place Guichard'
diff --git a/tests/test_teamnet_axel.py b/tests/test_teamnet_axel.py
index 95ad2a91..caedb70a 100644
--- a/tests/test_teamnet_axel.py
+++ b/tests/test_teamnet_axel.py
@@ -1,15 +1,15 @@
 import mock
 import pytest
-import utils
 from requests.exceptions import ConnectionError
 
+import tests.utils
 from passerelle.contrib.teamnet_axel.models import Link, TeamnetAxel
 from passerelle.utils.jsonresponse import APIError
 
 
 @pytest.fixture
 def setup(db):
-    return utils.make_resource(
+    return tests.utils.make_resource(
         TeamnetAxel,
         **{
             'slug': 'test',
diff --git a/tests/test_toulouse_axel.py b/tests/test_toulouse_axel.py
index 8752141f..14e4e364 100644
--- a/tests/test_toulouse_axel.py
+++ b/tests/test_toulouse_axel.py
@@ -29,10 +29,10 @@ import freezegun
 import jsonschema
 import mock
 import pytest
-import utils
 import xmlschema
 from django.core.cache import cache
 
+import tests.utils
 from passerelle.contrib.toulouse_axel import schemas
 from passerelle.contrib.toulouse_axel.models import Link, Lock, ToulouseAxel
 from passerelle.contrib.toulouse_axel.utils import (
@@ -50,7 +50,7 @@ from passerelle.utils.soap import SOAPError
 
 @pytest.fixture
 def resource(db):
-    return utils.make_resource(
+    return tests.utils.make_resource(
         ToulouseAxel, slug='test', wsdl_url='http://example.net/AXEL_WS/AxelWS.php?wsdl'
     )
 
diff --git a/tests/test_toulouse_smart.py b/tests/test_toulouse_smart.py
index 27139a07..d6e21b81 100644
--- a/tests/test_toulouse_smart.py
+++ b/tests/test_toulouse_smart.py
@@ -28,13 +28,12 @@ import httmock
 import lxml.etree as ET
 import mock
 import pytest
-import utils
 from django.db import connection
 from django.db.migrations.executor import MigrationExecutor
 from django.utils.encoding import force_text
 from requests.exceptions import ReadTimeout
-from test_manager import login
 
+import tests.utils
 from passerelle.base.models import Job
 from passerelle.contrib.toulouse_smart.models import (
     SmartRequest,
@@ -42,6 +41,7 @@ from passerelle.contrib.toulouse_smart.models import (
     WcsRequest,
     WcsRequestFile,
 )
+from tests.test_manager import login
 
 TEST_BASE_DIR = os.path.join(os.path.dirname(__file__), 'data', 'toulouse_smart')
 
@@ -50,7 +50,7 @@ TEST_BASE_DIR = os.path.join(os.path.dirname(__file__), 'data', 'toulouse_smart'
 def smart(db, settings):
     settings.TIME_ZONE = 'Europe/Paris'
     settings.USE_TZ = True
-    return utils.make_resource(
+    return tests.utils.make_resource(
         ToulouseSmartResource,
         title='Test',
         slug='test',
@@ -683,7 +683,7 @@ def test_create_intervention_client_error(mocked_uuid, app, freezer, smart):
 @mock.patch('passerelle.utils.RequestSession.request')
 @mock.patch("django.db.models.fields.UUIDField.get_default", return_value=UUID)
 def test_create_intervention_timeout(mocked_uuid, mocked_get, app, freezer, smart):
-    from utils import FakedResponse
+    from tests.utils import FakedResponse
 
     mocked_get.side_effect = [
         FakedResponse(
diff --git a/tests/test_vivaticket.py b/tests/test_vivaticket.py
index f93457c8..34a5076d 100644
--- a/tests/test_vivaticket.py
+++ b/tests/test_vivaticket.py
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 import mock
 import pytest
-import utils
 
+import tests.utils
 from passerelle.apps.vivaticket.models import VivaTicket
 from passerelle.utils.jsonresponse import APIError
 
@@ -216,7 +216,7 @@ SCHOOL_LEVELS_RESPONSE = """{
 
 @pytest.fixture
 def connector(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         VivaTicket.objects.create(
             slug='test', login='foo', password='bar', url='http://example.net/vivaticket'
         )
@@ -226,9 +226,9 @@ def connector(db):
 @mock.patch('passerelle.utils.Request.post')
 def test_get_api_key(mocked_post, app, connector):
     with pytest.raises(APIError):
-        mocked_post.return_value = utils.FakedResponse(content=ERROR_RESPONSE, ok=False)
+        mocked_post.return_value = tests.utils.FakedResponse(content=ERROR_RESPONSE, ok=False)
         connector.get_apikey()
-    mocked_post.return_value = utils.FakedResponse(content=KEY_RESPONSE, ok=True)
+    mocked_post.return_value = tests.utils.FakedResponse(content=KEY_RESPONSE, ok=True)
     connector.get_apikey()
     assert mocked_post.call_count == 2
     assert "Connect/PostConnect" in mocked_post.call_args[0][0]
@@ -244,9 +244,9 @@ def test_get_api_key(mocked_post, app, connector):
 @mock.patch('passerelle.utils.Request.post')
 @mock.patch('passerelle.utils.Request.get')
 def test_get_events(mocked_get, mocked_post, app, connector):
-    mocked_get.return_value = utils.FakedResponse(content=EVENTS_RESPONSE, status_code=200)
-    mocked_post.return_value = utils.FakedResponse(content=KEY_RESPONSE, status_code=200)
-    result = utils.endpoint_get('/vivaticket/test/events', app, connector, 'events')
+    mocked_get.return_value = tests.utils.FakedResponse(content=EVENTS_RESPONSE, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=KEY_RESPONSE, status_code=200)
+    result = tests.utils.endpoint_get('/vivaticket/test/events', app, connector, 'events')
     assert mocked_post.call_count == 1
     assert mocked_get.call_args[1]['params']['key'] == "86569D0CA1B1CBEF8D77DD5BDC9F5CBAE5C99074"
     assert 'data' in result.json
@@ -258,48 +258,52 @@ def test_get_events(mocked_get, mocked_post, app, connector):
 @mock.patch('passerelle.utils.Request.post')
 @mock.patch('passerelle.utils.Request.get')
 def test_get_events_with_expired_key(mocked_get, mocked_post, app, connector):
-    mocked_get.return_value = utils.FakedResponse(content=EVENTS_RESPONSE, status_code=401)
-    mocked_post.return_value = utils.FakedResponse(content=KEY_RESPONSE, status_code=200)
-    utils.endpoint_get('/vivaticket/test/events', app, connector, 'events')
+    mocked_get.return_value = tests.utils.FakedResponse(content=EVENTS_RESPONSE, status_code=401)
+    mocked_post.return_value = tests.utils.FakedResponse(content=KEY_RESPONSE, status_code=200)
+    tests.utils.endpoint_get('/vivaticket/test/events', app, connector, 'events')
     assert mocked_post.call_count == 2
 
 
 @mock.patch('passerelle.utils.Request.post')
 @mock.patch('passerelle.utils.Request.get')
 def test_get_rooms(mocked_get, mocked_post, app, connector):
-    mocked_get.return_value = utils.FakedResponse(content=ROOMS_RESPONSE, status_code=200)
-    mocked_post.return_value = utils.FakedResponse(content=KEY_RESPONSE, status_code=200)
-    result = utils.endpoint_get('/vivaticket/test/rooms', app, connector, 'rooms')
+    mocked_get.return_value = tests.utils.FakedResponse(content=ROOMS_RESPONSE, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=KEY_RESPONSE, status_code=200)
+    result = tests.utils.endpoint_get('/vivaticket/test/rooms', app, connector, 'rooms')
     assert mocked_get.call_args[1]['params']['key'] == '86569D0CA1B1CBEF8D77DD5BDC9F5CBAE5C99074'
     assert 'data' in result.json
     for item in result.json['data']:
         assert 'id' in item
         assert 'text' in item
-    result = utils.endpoint_get('/vivaticket/test/rooms', app, connector, 'rooms', params={'event': '02'})
+    result = tests.utils.endpoint_get(
+        '/vivaticket/test/rooms', app, connector, 'rooms', params={'event': '02'}
+    )
     assert mocked_get.call_args[1]['params']['eventCategory'] == '02'
 
 
 @mock.patch('passerelle.utils.Request.post')
 @mock.patch('passerelle.utils.Request.get')
 def test_get_themes(mocked_get, mocked_post, app, connector):
-    mocked_get.return_value = utils.FakedResponse(content=ROOMS_RESPONSE, status_code=200)
-    mocked_post.return_value = utils.FakedResponse(content=KEY_RESPONSE, status_code=200)
-    result = utils.endpoint_get('/vivaticket/test/themes', app, connector, 'themes')
+    mocked_get.return_value = tests.utils.FakedResponse(content=ROOMS_RESPONSE, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=KEY_RESPONSE, status_code=200)
+    result = tests.utils.endpoint_get('/vivaticket/test/themes', app, connector, 'themes')
     assert mocked_get.call_args[1]['params']['key'] == '86569D0CA1B1CBEF8D77DD5BDC9F5CBAE5C99074'
     assert 'data' in result.json
     for item in result.json['data']:
         assert 'id' in item
         assert 'text' in item
-    result = utils.endpoint_get('/vivaticket/test/themes', app, connector, 'themes', params={'room': '001'})
+    result = tests.utils.endpoint_get(
+        '/vivaticket/test/themes', app, connector, 'themes', params={'room': '001'}
+    )
     assert mocked_get.call_args[1]['params']['room'] == '001'
 
 
 @mock.patch('passerelle.utils.Request.post')
 @mock.patch('passerelle.utils.Request.get')
 def test_get_school_levels(mocked_get, mocked_post, app, connector):
-    mocked_get.return_value = utils.FakedResponse(content=SCHOOL_LEVELS_RESPONSE, status_code=200)
-    mocked_post.return_value = utils.FakedResponse(content=KEY_RESPONSE, status_code=200)
-    result = utils.endpoint_get('/vivaticket/test/school-levels', app, connector, 'school-levels')
+    mocked_get.return_value = tests.utils.FakedResponse(content=SCHOOL_LEVELS_RESPONSE, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=KEY_RESPONSE, status_code=200)
+    result = tests.utils.endpoint_get('/vivaticket/test/school-levels', app, connector, 'school-levels')
     assert mocked_get.call_args[1]['params']['key'] == '86569D0CA1B1CBEF8D77DD5BDC9F5CBAE5C99074'
     assert 'data' in result.json
     for item in result.json['data']:
@@ -311,10 +315,10 @@ def test_get_school_levels(mocked_get, mocked_post, app, connector):
 @mock.patch('passerelle.utils.Request.put')
 @mock.patch('passerelle.utils.Request.get')
 def test_get_or_create_contact(mocked_get, mocked_put, mocked_post, app, connector):
-    mocked_get.return_value = utils.FakedResponse(content='', ok=False)
+    mocked_get.return_value = tests.utils.FakedResponse(content='', ok=False)
     mocked_post.side_effect = [
-        utils.FakedResponse(content=KEY_RESPONSE, status_code=200),
-        utils.FakedResponse(
+        tests.utils.FakedResponse(content=KEY_RESPONSE, status_code=200),
+        tests.utils.FakedResponse(
             content='{"InternalCode": "0000000273", "ReturnCode": 0, "Error": null}', status_code=200
         ),
     ]
@@ -325,11 +329,11 @@ def test_get_or_create_contact(mocked_get, mocked_put, mocked_post, app, connect
     assert mocked_post.call_args[1]['json']['Key'] == '86569D0CA1B1CBEF8D77DD5BDC9F5CBAE5C99074'
     assert mocked_post.call_args[1]['json']['Contact']['Email'] == 'foo@example.com'
     assert mocked_post.call_args[1]['json']['Contact']['ExternalCode'] == 'b48def645758b95537d4'
-    mocked_post.return_value = utils.FakedResponse(
+    mocked_post.return_value = tests.utils.FakedResponse(
         content='{"InternalCode": "0000000273", "ReturnCode": 0, "Error": null}', status_code=200
     )
-    mocked_get.return_value = utils.FakedResponse(content=CONTACT_RESPONSE, ok=True)
-    mocked_put.return_value = utils.FakedResponse(content='', status_code=204)
+    mocked_get.return_value = tests.utils.FakedResponse(content=CONTACT_RESPONSE, ok=True)
+    mocked_put.return_value = tests.utils.FakedResponse(content='', status_code=204)
     connector.get_or_create_contact({'email': 'foo@example.com'})
     mocked_put.assert_called()
     assert mocked_put.call_args[1]['params']['id'] == '0000000273'
@@ -341,8 +345,8 @@ def test_get_or_create_contact(mocked_get, mocked_put, mocked_post, app, connect
 @mock.patch('passerelle.utils.Request.put')
 @mock.patch('passerelle.utils.Request.get')
 def test_book(mocked_get, mocked_put, mocked_post, app, connector):
-    mocked_get.return_value = utils.FakedResponse(content=CONTACT_RESPONSE, status_code=200)
-    url = utils.generic_endpoint_url('vivaticket', 'book')
+    mocked_get.return_value = tests.utils.FakedResponse(content=CONTACT_RESPONSE, status_code=200)
+    url = tests.utils.generic_endpoint_url('vivaticket', 'book')
     payload = {'id': 'formid', 'email': 'foo@example.com'}
     response = app.post_json(url, params=payload, status=400)
     payload['start_datetime'] = '2019-01-15'
@@ -361,8 +365,8 @@ def test_book(mocked_get, mocked_put, mocked_post, app, connector):
     payload['end_datetime'] = '2019-01-15T11:00'
     # first return the API key, then the result of the booking creation
     mocked_post.side_effect = [
-        utils.FakedResponse(content=KEY_RESPONSE, status_code=200),
-        utils.FakedResponse(content=BOOKING_RESPONSE),
+        tests.utils.FakedResponse(content=KEY_RESPONSE, status_code=200),
+        tests.utils.FakedResponse(content=BOOKING_RESPONSE),
         Exception(),
     ]
     response = app.post_json(url, params=payload)
@@ -379,7 +383,7 @@ def test_book(mocked_get, mocked_put, mocked_post, app, connector):
 
     # no more need to fake key response because the key is in cache
     mocked_post.side_effect = [
-        utils.FakedResponse(text='This external booking code already exists.', ok=False)
+        tests.utils.FakedResponse(text='This external booking code already exists.', ok=False)
     ]
     response = app.post_json(url, params=payload)
     assert response.json['err'] == 1
diff --git a/tests/wcs/test_sp_fr.py b/tests/wcs/test_sp_fr.py
index 46d40673..d41af7eb 100644
--- a/tests/wcs/test_sp_fr.py
+++ b/tests/wcs/test_sp_fr.py
@@ -17,8 +17,8 @@
 
 import mock
 import pytest
-import utils
 
+import tests.utils
 from passerelle.apps.sp_fr.models import Resource
 from passerelle.utils.sftp import SFTP
 from passerelle.utils.wcs import FormDefRef, get_wcs_choices
@@ -43,7 +43,7 @@ def spfr(settings, wcs_host, db, sftpserver):
             }
         }
     }
-    yield utils.make_resource(
+    yield tests.utils.make_resource(
         Resource,
         title='Test 1',
         slug='test1',
-- 
2.34.1

